title: Interpolation methods

## Averaging interpolation

`interpolation_method = 'linear'`

Simple averaging of all quantities with weighted summation

## Linear interpolation

Linear interpolation of the first two moments (density and momentum) and 
separation of equilibrium and non-equilibrium part to account for correct 
shear stress calculation
This fine->coarse interpolation method is based on Dazhi Yu et. al. (2002):
"A multi-block lattice Boltzmann method for viscous fluid flows".
The basic idea is to split up the source pdfs into equilibrium- and 
non-equilibrum- parts, then interpolate both parts with average interpolation,
and apply a corrective scaling factor to the non-equilibrium part before
adding both parts up and writing it to the target element.
Values are interpolated in a linear fashion by multiplying the quantities
of the source elements by weighting factors, which were determined in 
[[mus_construction_module:mus_intp_complete_fromcoarserdep]] completing the
fromCoarser dependencies in terms of the distance of the source element's 
barycenters from the target element's barycenters.

## Quadratic interpolation <a id="quadratic"></a>

Quadratic interpolation based on the compute stencil 

## Quadratic interpolation with compact stencil

Quadratic interpolation of the moment field with derivative information from 
the shear stress moments. Only a compact stencil is required.
