project: Musubi
summary: A multi-level parallel lattice Boltzmann solver within the APES suite.
src_dir: source
src_dir: build/ford
exclude_dir: build/ford/treelm
external: https://geb.sts.nt.uni-siegen.de/doxy/aotus/
external: https://geb.sts.nt.uni-siegen.de/doxy/treelm/
output_dir: docu
page_dir: doc_pages
media_dir: treelm/media
project_bitbucket: https://bitbucket.org/apesteam/musubi
graph: true
graph_maxdepth: 4
graph_maxnodes: 32
display: public
display: protected
display: private
sort: permission
source: false
externalize: true
author: University of Siegen
title: Mainpage
print_creation_date: True
md_extensions: markdown.extensions.toc

Introduction to Musubi
=========================

![Apes Logo](page/apes_sub_small.png)

Introduction
=================

Musubi is the multi-level parallel lattice Boltzmann solver within the APES suite. 
It is working on a linearized octree and uses efficient data structures 
allowing adaptive parallel simulations.
Musubi offers several collision kernels and is designed in a way to deal with huge
meshes very efficiently.

[Here](page/index.html) is the Documentation.
