require "common"

simulation_name = 'd2q9_bgk'
sim_control = {
  time_control = {
    max = { iter = 200 },
    interval = { iter = 200 },
  }
}

physics = { dt = dt, rho0 = rhoPhy }

scheme = {
  identify = {
    label = scheme_label,
    kind = 'lbm',
    relaxation = 'bgk',
    layout = 'd2q9',
  }, -- identify table

  fluid = { omega = omega, rho0 = rhoPhy },

  -- Initial condition for each field
  initial_condition = {
    pressure  = ic_pressure,
    velocityX = ic_velocityX,
    velocityY = ic_velocityY,
    velocityZ = 0.0,
    Sxx = ic_Sxx,
    Syy = ic_Syy,
    Szz = 0.0,
    Sxy = 0.0,
    Syz = ic_Syz,
    Sxz = ic_Sxz,
  }, -- intitial condition end

} -- scheme table
