----------------------- PLEASE READ THIS ---------------------------!!!

-- This input file is set up to run for regression check
-- Please make sure you DO NOT MODIFY AND PUSH it to the repository
                                                                          
--------------------------------------------------------------------!!!


-- Use this file as template. Do not modify this file for running some testcases

-- Location to write the mesh in.
-- Note the trailing path seperator, needed, if all mesh files should be in a
-- directory. This directory has to exist before running Seeder in this case!
folder = 'mesh/'

ebug = {debugMode = true, debugMesh='debug/' }

-- bounding cube: two entries: origin and length in this
-- order, if no keys are used
bounding_cube = {origin = {-8.0, -1.0, -1.0},
               length = 16.}

-- minimum refinement level in fluid domain
minlevel = 7

-- Laboratory scale spacer:
-- length=20 cm,width=10 cm,
-- filament, radius = 0.01 cm
-- spacer gap = 0.1 cm ! distance between two parallel filament
-- offset = 0.0 ! offset of spacer along its height in bounding box
-- default offset=0.0. create spacer in bounding box origin
-- boundary_label = 'spacer'. define boundary name
spatial_object = {
    -- Defining a domain boundary
  {
    attribute = {
      kind = 'boundary',
      label = 'top'
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {-8.0,-1.0,1.0},
        vec = { {16.0,0.0,0.0},
                {0.0,2.0,0.0}}
      }
    }
  },  
  {
    attribute = {
      kind = 'boundary',
      label = 'bottom'
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {-8.0,-1.0,-1.0},
        vec = { {16.0,0.0,0.0},
                {0.0,2.0,0.0}}
      }
    }
  },                 
  {
    attribute = {
      kind = 'boundary',
      label = 'east'
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {8.0,-1.0,-1.0},
        vec = { {0.0,2.0,0.0},
                {0.0,0.0,2.0}}
      }
    }
  },
  {
    attribute = {
      kind = 'boundary',
      label = 'west'
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {-8.0,-1.0,-1.0},
        vec = { {0.0,2.0,0.0},
                {0.0,0.0,2.0}}
      }
    }
  },
  {
    attribute = {
      kind = 'boundary',
      label = 'north'
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {-8.0,1.,-1.0},
        vec = { {16.0,0.0,0.0},
                {0.0,0.0,2.0}}
      }
    }
  },
  {
    attribute = {
      kind = 'boundary',
      label = 'south'
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {-8.0,-1.,-1.0},
        vec = { {16.0,0.0,0.0},
                {0.0,0.0,2.0}}
      }
    }
  },
  {
    attribute = {
      kind = 'seed',
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {0.0,0.0,0.0}
      }
    }
  },
}

