-- declear data array
diff = 0.0
ana  = 0.0
nVals = 0

-- get filename from env variable
filename = os.getenv("spatial_file")
print("Open file: "..filename)
local f = assert(io.open(filename, "r" ))

-- read in the first two lines which are useless
-- t = f:read("*line")
-- t = f:read("*line")

-- start read all data
while true do
  -- first 3 columns are coordinates
  local baryX, baryY, baryZ = f:read("*number", "*number", "*number")
  -- then strain rate tensor has 6 values
  local Sxx, Syy, Szz  = f:read("*number", "*number", "*number")
  local Sxy, Syz, Sxy  = f:read("*number", "*number", "*number")
  -- the last 2 columns are reference values
  local refSxx, refSyy = f:read("*number", "*number")

  -- check if it already reaches the end of file (baryX == nil)
  if not baryX then break end

  -- calculate l2norm
  diff = diff + (Sxx - refSxx) ^ 2
  ana  = ana  + (refSxx) ^ 2
  -- count number of values
  nVals = nVals + 1
end
-- close file
f:close()

-- calculate l2norm
l2norm = math.sqrt( diff / ana )
print("The number of data = "..nVals)
print("l2norm = "..l2norm)

-- write l2norm to file
filename = os.getenv("sxx_l2norm_file")
f = assert(io.open(filename, "a" ))
f:write(string.format("%16.10f",   math.sqrt(ana)))
f:write(string.format("%16.10f",   math.sqrt(diff)))
f:write(string.format("%16.10f\n", l2norm))
f:close()
