require 'common'

-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
x0 = origin
bounding_cube = {origin = x0, length = length}

spatial_object = {
  { -- refine box on center
    attribute = {
      kind  = 'refinement',
      label = 'refinebox',
      level = maxLevel,
    },
    geometry = {
      kind = 'canoND',
      object = {
        origin = refine_origin,
        vec = {
          refine_vec1,
          refine_vec2,
          refine_vec3,
        }
      } -- object
    } -- geometry
  },
  { -- periodic planes on Z
    attribute = {
      kind = 'periodic',
      label = 'periodic'
    },
    geometry = {
      kind = 'periodic',
      object = {
        plane1 = {
          origin = { x0[1], x0[2], periodic_z1},
          vec = { { length, 0.0, 0.0},
                  { 0.0, length, 0.0},}
        }, -- plane 1
        plane2 = {
          origin = { x0[1], x0[2], periodic_z2},
          vec = { { 0., length, 0.0},
                  { length, 0., 0.0},}
        }, -- plane 2
      } -- object
    } -- geometry
  },

  { attribute = { kind = 'seed', },
    geometry = { 
      kind = 'canoND',
      object = { origin = { x0[1]+length*0.5, x0[2]+dx*1.5, x0[3]+dx*1.5 } }
    } -- geometry
  }, -- seed
} -- spatial objects
