
require "common"

folder = 'mesh/'
ebug = {debugMode = true, debugFiles=true}

minlevel= level

--
-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
bounding_cube = {origin = {-dx/1.,-dx/1.,-dx/1.},
               length = length_bnd}

spatial_object = {
  { 
  attribute ={
    kind = 'seed',  -- kind is seed
  },
  geometry = {
    kind = 'canoND', ---canoND is nothing but line/point/plane/box
    object = {
      origin = {length*0.5,height*0.5,zpos },
      }
    }
  },
  {
  attribute = { 
    kind = 'boundary',   --- in atrribute kind is seed/boundary/refinement/periodic
    label= 'north'  -----north
  },
  geometry = { 
    kind ='canoND',
    object = {
      origin = {-dx,height+dx_half,-dx},
      vec = { {length+4*dx,0.0,0.0 },
              {0.0,0.0,4.*dx}
      }
    }
  }
  },
     {
 attribute = {
   kind = 'boundary',
   label = 'south'   ----- For south
 },
 geometry = {
   kind ='canoND',
   object = {  
     origin = {-dx,-dx/2.,-dx},
     vec = { {length+4*dx,0.0,0.0 },
             { 0.0,0.0,4.*dx}
      }
    }
 }
 },
 { 
  attribute = {
    kind = 'boundary',
    label = 'east'    ------ For east
  },                  
  geometry = {
    kind ='canoND',
    object = {  
      origin = {length+dx/2.0,-dx,-dx},
      vec = { {0.0,height+2*dx,0.0,0.0 },
              { 0.0,0.0,4.*dx}
       }
    }          
  }
  },
  {
  attribute = {
    kind = 'boundary',
    label= 'west'    ---west
  },
  geometry = {
    kind = 'canoND',
    object = {
      origin = {-dx/2.0,-dx, -dx},
      vec = {{0.0,height+2*dx,0.0},
              { 0.0,0.0,4.*dx}
      }
    }          
  } 
  },
  {
  attribute = {
    kind = 'periodic',
    level= level
  },
  geometry = {
    kind = 'periodic',
    object = {  
      plane1 = {
        origin = {-dx,-dx,dx+dx/2.0}, 
        vec =  { {length+4*dx,0.0,0.0},
                {0.0,height+2*dx,0.0}
        }
      }, ---plane1
      plane2 = {
        origin = {-dx, -dx, -dx/2.0},
        vec = { {0.0,height+2*dx,0.0},
                {length+4*dx,0.0,0.0},
        }
      } ---plane2
    }
  }
  }, 
  {   
  attribute = {
    kind = 'boundary',
    label = 'sphere'
  },
  geometry = {
    kind = 'sphere',
    object = {
      {
      origin = sph1,
      radius = radius
      }, 
      {
      origin = sph2,
      radius = radius
      }
    }   
  }
  }
}
