import os

apesFolder = os.getenv('HOME')+'/apes/'

# Production directory - default production directory is 'prod'
# comment out if you don't want user defined production directory
prod_dir = 'convergence'

# empty job list
shepherd_jobs = []

shepherd_jobs.append(dict(executable = apesFolder+'seeder/build/seeder',
                          template = 'seeder.template',
                          extension = 'lua',
                          run_exec = True,
                          run_command = '',
                          params = [['nHeight',16*2**2,],
                                    ['calc_dist','true','false']],# 16*2*2]],
                          #additional_params = dict(calc_dist='true'),
                          create_dir = True,
                          create_subdir = ['mesh'],
                          prefix = 'sdr',
                          abort_failure = True,
                          label = 'seeder'))

shepherd_jobs.append(dict(executable = apesFolder+'musubi/build/musubi',
                          template = 'musubi.template',
                          extension = 'lua',
                          run_exec = True,
                          run_command = 'mpirun -np 4',
                          params = [['Re', 100]],
                          additional_params = dict(inlet='ubb',outlet='expol'),
                                                   #wall='wall'),
                                    #['wall','wall','wall_linearInterpolation']],
                          create_subdir = ['tracking', 'restart'],
                          create_depend_params = True,
                          create_dir = True,
                          abort_failure = True,
                          prefix = 'mus',
                          depend = ['seeder'],
                          label = 'musubi'))

shepherd_jobs.append(dict(executable=apesFolder+'harvester/scripts/harvest_series.py',
                          template = 'params_hvs.py',
                          extension = 'py',
                          run_exec = True,
                          run_command = 'python2.7',
                          input_option = '--config',
                          depend = ['musubi'],
                          #run_last = True,
                          #create_depend_path = True,
                          #create_depend_params = True,#["musubi_phase_shift","musubi_theta_eq"],
                          label = 'hvs'))

