import os
apesFolder = os.getenv('HOME')+'/apes/'
# Production directory - default production directory is 'prod'
# comment out if you don't want user defined production directory
prod_dir = 'error_analaysis_new'

run_seeder = True
run_seeder = False

run_musubi = True
run_musubi = False

run_gleaner = False
run_gleaner = True

submit_job = True
submit_job = False

shepherd_jobs = []

shepherd_jobs.append(dict(executable=apesFolder+'seeder/build/seeder',
                          template='seeder.template',
                          extension='lua',
                          run_exec = run_seeder,
                          run_command = '',
                          params = [['refineLevel', 0, 1, 2, 3 ],
                                    ['bc_type','Moments','BounceBack']],
                                    #['bc_type','moments']],
                          additional_params = dict(MESH='mesh/', dx_ref=0.05, height=0.4),
                          create_subdir = ['mesh'],
                          prefix = 'sdr',
                          label = 'seeder'))

shepherd_jobs.append(dict(executable=apesFolder+'musubi/build/musubi',
                          template='musubi.template',
                          extension='lua',
                          run_exec = run_musubi,
                          run_command = 'mpirun -np 4',
                          params = [["omega", 0.8, 1.5] 
                                   ],
                          additional_params = dict(MESH='../mesh/'),
                          create_subdir = ['tracking','restart'],
                          prefix = 'mus',
                          depend = ['seeder'],
                          create_depend_path = True,
                          label = 'musubi'))

#shepherd_jobs.append(dict(executable=None,
#                          template='horus.template',
#                          extension='sh',
#                          run_exec = submit_job,
#                          run_command = 'sbatch',
#                          params = [[( "NPROCS", "NODES"),
#                                     ( 12,        1)]
#                                   ],
#                          create_dir = False,
#                          create_depend_path = True,
#                          depend = ['musubi'],
#                          label = 'horus'))

shepherd_jobs.append(dict(executable=apesFolder+'harvester/gleaner/gleaner.py',
                          template = 'params_plot_error.py',
                          extension='py',
                          run_exec = run_gleaner,
                          run_command = '',
                          depend = ['seeder','musubi'],
                          #depend = ['musubi'],
                          run_last = True,
                          create_depend_path = True,
                          create_depend_params = True,
                          label = 'gleaner'))

