-- Musubi configuration file. 
-- This is a LUA script.

-- Simulation name
simulation_name = 'spacer'

-- Mesh information
mesh = 'mesh/spacer/'

-- Boundary information
boundaryname = 'bnd'

-- physics setting
rho0      = 1.0             -- Rest density

-- relaxation time Omega
omega     =  1.8


-- Initial condition 
initial_condition = { pressure  = 1.0, 
                      velocityX = 0.0,
                      velocityY = 0.0,
                      velocityZ = 0.0 }

-- Boundary conditions
boundary_condition = {  
 { label = 'top', 
  kind = 'wall', 
  velocityX = 0.06, velocityY = 0.0, velocityZ = 0.0 }
,{ label = 'bottom', 
   kind = 'wall', 
   velocityX = 0.0, velocityY = 0.0, velocityZ = 0.0 }
,{ label = 'left', 
   kind = 'wall', 
   velocityX = 0.0, velocityY = 0.0, velocityZ = 0.0 }
,{ label = 'right', 
   kind = 'wall', 
   velocityX = 0.0, velocityY = 0.0, velocityZ = 0.0 }
,{ label = 'inlet', 
   kind = 'inlet_ubb', 
   velocityX = 0.01, velocityY = 0.0, velocityZ = 0.0 }
,{ label = 'outlet', 
   kind = 'outlet_zero_prsgrd', 
   velocityX = 0.0, velocityY = 0.0, velocityZ = 0.0 }

,{ label = 'spacer', 
   kind = 'wall', 
   velocityX = 0.0, velocityY = 0.0, velocityZ = 0.0 } 
}

                     
-- Time step settings
tmax           =  1000     -- total iteration number
check_interval =  10     -- iteration check interval

-- Ramping settings  
ramping        = false


-- Tracking              
tracking = {
{ label = 'probe_press', 
  variables = {'velX'}, 
  type='point', point ={0.,0.,0.},
  interval = 20, tmin = 0, tmax = -1 } 
  }


