--
-- This file defines some input parameters for the seeder and musubi for the 
-- porous medium case.
--
--
-- Measured porosity from the finest mesh resolution of ...
--  phi = 
--  average pore size = (estimated)
refLevel = 4 --6
qVals = false

-- User defined 
-- Set here the bounding box origin (originalOrigin) 
-- the size of the bounding box sides (sizePorous)
--
heightPorous = 0.0015
lengthPorous = 0.000806
sizePorous   = {lengthPorous, heightPorous, heightPorous}
originalOrigin = {-lengthPorous, -heightPorous/2, -heightPorous/2}

if shepherdRun then
  -- For shepherd, we have to give the correct relative path!
  filename ='../../stl/porous_crop_m.stl'
else
  filename ='stl/porous_crop_m.stl'
end
-- How much space should be left before and after?
-- ratio to porous length
addLength_before = 0.3
addLength_after  = 1.0
--
---- Add your porous medium here
--
-- define the name of the porous medium / stent
obj_label = 'porous'
--
--
spatial_object = {
  {
    -- Defining the porous medium STL
    attribute = { kind = 'boundary',  -- or seed, refinement
                  label = obj_label,   -- some label to identify the boundary
                                      -- condition
                  level = 0,          -- level to refine this object with,
                                      -- default = 0, this will be updated to maxLevel 
                                      -- in the seeder.lua
                  calc_dist = qVals,  -- compute the link-wise distance to the solid(qVal)
                },
    geometry = { -- Example for a sphere definition
      kind = 'stl',
      object = {
        filename =filename
     }}
  }
}
