#
# This is the parameter file for the Shepherd.
# It is used for a parameter study on the error convergence of the TGV 
# in the laminar Regime Re=25.
# I extract the error in velocity and pressure and plot it over the refinement 
# level using plot_error.gpl
#
# path_to_lib is must 
path_to_lib = '/Network/Servers/grsacx01.grs.rwth-aachen.de/Volumes/home/hasert/repo/apes/shepherd/lib'        
# Production directory - default production directory is 'prod'
# comment out if you don't want user defined production directory
scaling = 'diffusive'
prod_dir = 'prodRe25'
						             #
										     #
seeder_template = 'seeder.template'                                      #
run_preproc_exec = True 							     #
path_to_preproc_exec = '/Network/Servers/grsacx01.grs.rwth-aachen.de/Volumes/home/hasert/repo/apes/seeder/build/seeder'			     #
seeder_params = [
          ["level",3,4,5,6,7,8,9,10],
          #["level",3,4],
          ["ref",0,1], 
          ]
run_command_preproc = path_to_preproc_exec               			     #
######################################################################################
										     #
lua_template = 'musubi.template'					     #
run_solver_exec = False
path_to_solver_exec = '../../../build/musubi'
lua_params = [
              ["Re", 
              25 ],
              ["scl", 
              'acoustic','diffusive'],
              #'acoustic'],
              ["om", 
              1.8],
              ["intp", 
              'linear', 'quadratic'],
              #'linear'],
              ["rel", 
              'bgk']
             ]
run_command_solver = 'mpirun -np 4'

jobscript_template = 'quelea.template'
submit_job = True
sub_command = 'sbatch'
job_params = [  [ "NP_NODE",
                   3
                ]
             ]
	
#harvester_template = 'harvester.template'					     #
#path_to_harvester_exec = 'harvester'
