----------------------- PLEASE READ THIS ---------------------------!!!

-- This input file is set up to run for regression check
-- Please make sure you DO NOT MODIFY AND PUSH it to the repository
                                                                          
--------------------------------------------------------------------!!!


-- This is a sample Musubi configuration file in lua format
-- 
-- WARNING!!!
-- LEAVE THIS FILE UNCHANGED IN THE REPOSITORY
-- 
-- Thank you!
--
--

-- load lua variables from simParam.lua
require "common"

-- simulation paramters
io_buffer_size = 1
printRuntimeInfo = true

-- communication pattern
--isend_irecv_overlap gathered_type isend_irecv typed_isend_irecv
commpattern = 'isend_irecv'
-- Simulation name
simulation_name = 'multispecies'
--mesh = 'mesh/'
mesh = { predefined='cube', 
         origin = {0.,0.,0.}, 
         length = 10.0,
         refinementLevel = os.getenv('level')
       }  

-- Interpolation method
-- average, copyfirst, linear, debug
interpolation_method = 'average'                   
scaling = 'diffusive'

ebug = {debugMode = true, debugFiles = true, verbose =  true, verboseLevel = 100}

-- Time step settings
-- Time step settings
nprocs = os.getenv('nprocs')
-- total number of iterations
tmax           = math.min(((8^ 9)*nprocs) / (8^ mesh.refinementLevel), 1000000)
time = {useIterations = true, -- Timings given in iterations? default: true
        max = tmax,           -- Maximal iteration to reach
        interval = tmax,     -- Interval for checking density
        min = 1 }              -- Minimal timestep to start from

-- scheme model for single fluid simulation
scheme = {
  identify = {
      label = 'mix',
      kind = 'multi-species_liquid', 
      relaxation = 'bgk', 
-- scheme layout
      layout = 'd3q19'
  },
  physics = { rho0 = rho0_p, dt = dt, molWeigh0 = m_min },
  mixture = { rho0 = rho0_p, 
              omega = 2.0,
              initial_condition = { pressure = 0.0 }
            },
  -- field which defines fluid or specie
  -- Single fluid simulation
  field = {{
      label = 'H2O'
-- species properties
     ,species = { molweight = mH2O, diff_coeff = { diff_diag, diff_H2O_Na, diff_H2O_Cl } }
-- Initial condition
     ,initial_condition = { 
              moleFraction = solventH2O,
              velocityX = 0.0,
              velocityY = 0.0,
              velocityZ = 0.0}
     }
   ,{
     label = 'Na'
    ,species = { molweight = mNa, diff_coeff = { diff_H2O_Na, diff_diag, diff_Na_Cl } }
    ,initial_condition = {
         moleFraction = solventNa,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
    }
   ,{
     label = 'Cl'
    ,species = { molweight = mCl, diff_coeff = { diff_H2O_Cl, diff_Na_Cl, diff_diag } }
    ,initial_condition = {
         moleFraction = solventCl,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
    }
  }
, 
racking = {
  {
   label = 'line', 
   variable = {{'H2O_numDensity_phy'},{'Na_numDensity_phy'},{'Cl_numDensity_phy'},{'molefraction'}},
   folder = './tracking/',
   shape = {kind = 'canoND', object= {origin={0.0,length/2.0,dx},
                                      vec={length,0.0,0.0},
                                      segments =nLength+2 }
           },
   format = 'asciiSpatial',
   time = {min = 0, max = tmax_p, interval = tmax_p}, 
  }
  ,
  {
   label = 'point', 
   variable = {{'H2O_numDensity_phy'},{'Na_numDensity_phy'},{'Cl_numDensity_phy'},{'numDensity_phy'}},
   folder = './tracking/',
   --shape = {kind = 'canoND', object= {origin={length/2.,length/2.0,dx}}},
   shape = {kind = 'canoND', object= {origin={3.036873,length/2.0,dx}}},
   format = 'ascii',
   time = {min = 0, max = tmax_p, interval = tmax_p/1000}, 
  }
  }
}
