import os
apesFolder = os.getenv('HOME')+'/apes/'
currentDir = os.getcwd()
# Production directory - default production directory is 'prod'
# comment out if you don't want user defined production directory
prod_dir = 'prod_gausScaling'

# empty job list
shepherd_jobs = []

# musubi job
shepherd_jobs.append(dict(
                     executable = apesFolder+'musubi/build/musubi',
                     template = 'musubi.template',
                     extension = 'lua',
                     run_exec = False,
                     run_command = '',
                     #params = [[ 'level', 2,4,5,6,7,8,9,10,11,12]],
                     params = [[ 'level', 2,4,5,6,7,8,9,10]],
                     label = 'musubi'))
                      
# supermuc job
shepherd_jobs.append(dict(
                     executable = None,
                     template = 'superMUC.template',
                     extension = 'cmd',
                     run_exec = True,
                     run_command = 'llsubmit',
                     params = [  [ ( "NODES", "TASKS", "job_class", "island_count" ),
                                   ( '1',  '16', "micro", "1"),
                                   #( '16', '256', "micro", "1"),
                                   #( '64', '1024', "general", "1"),
                                   #( '256', '4096', "general", "1"),
                                   #( '512', '8192', "general", "1"),
                                   #( '1024', '16384', "large", "2"),
                                   #( '2048', '32768', "large", "4"),
                                 ]
                              ],
                     additional_params = dict(mail = 'kannan.masilamani@uni-siegen.de',
                                              mpi_exec = 'poe'),
                     #create_dir = False,                         
                     create_depend_path = True,
                     create_depend_params = True,
                     depend = ['musubi'],
                     label = 'lrz'))

