require "common"
-- Use this file as template. Do not modify this file for running some testcases
outputname = 'channel_2D'
outputpreview = false

-- general refinement levels
-- minrefine: defines minimum refinement level of the entire domain
--
-- maxrefine: defines maximum refinement
-- gets overwritten from madatory STL levels
-- (deprecated - used only for spacer stuff right now)
-- will become default for stl refinement level once
-- it is not mandatory any more
minrefine = 1
maxrefine = level

height =  length*0.25
-- stl_files: for each stl file put a table into
-- this table of tables. Or just a string for
-- the filname, if the other two parameters should
-- get the default: boundary_type = 1, fileformat = 'binary'
-- refinementlevel is the level to which the stl shall be refined
-- it is mandatory

--stl_files = {{filename = 'stl/inlet.stl', 
--              bclabel = 'inlet', 
--              format = 'binary' } ,
--             {filename = 'stl/wall.stl', 
--              bclabel = 'wall', 
--              format = 'binary' } ,
--             {filename = 'stl/outlet.stl', 
--              bclabel = 'outlet', 
--              format = 'binary' } 
--}
--
-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
boundingbox = {origin = {-length*0.5, -length*.5, -length*0.5},
               length = length}

-- refinebox: three entries: origin, length and refinementlevel
refinebox = {

{origin = {-length*0.5, -length*.5, -dx/2},
            length = {length, length, dx*2},
            refinementlevel = level
            },
{origin = {-length*0.2, -height*.5, -length},
            length = {length*0.18, height, 2.0*length},
            refinementlevel = maxLevel
            }}               

-- seed: position of seed 
seed = {0.0, 0.0, 0.0 }

geom={
   periodic = {        
            {
            plane1 = 
            {vecA={length,0.0,0.0},
             vecB={0.0,length,0.0},
             pos={-length*0.5,-length*0.5,dx+dx/2}},
            plane2 = 
            {vecB={length,0.0,0.0},
             vecA={0.0,length,0.0},
             pos={-length*0.5,-length*0.5,-dx*0.0001}}
          }}
}

-- geom: to define intrinsic geometries.
-- Possible geom: spheres, spacers, planes

-- sphere with radius 0.5 at origin
--geom = {sphere = {{origin = {0.0,0.0,0.0}
--		,radius = 0.5
--		, boundary_label='sphere1'}
--		,{origin = {0.0,2.0,0.0}
--		,radius = 0.5
--		, boundary_label='sphere2'}
--		}}

-- Laboratory scale spacer:
-- So far: Spacer length along x, width along z, height along y
-- length=20 cm,width=10 cm,
-- filament, radius = 0.01 cm
-- spacer gap = 0.1 cm ! distance between two parallel filament
-- offset = 0.0 ! offset of spacer along its height in bounding box
-- offset distance from bounding box origin
-- default offset=0.0. create spacer in bounding box origin
-- boundary_label = 'spacer'. define boundary name

--geom = {spacer = {{length = {distance=20.0,axis='x',gap=0.1},
--          width = {distance=10.0,axis='z',gap=0.1},
--          radius = 0.01,
--          offset = 2.0,
--	  boundary_label = 'spacer'}}}

-- plane definition
-- plane is defined by two vectors and position in x,y,z coordinate
-- with reference to origin 
-- pos - position to trasform plane from its origin
-- vecA- vector A from its origin ( defines plane length ) 
-- vecB- vector B from its origin ( defines plane width ) 
--  origin-----------> vecA
--        | -        |
--        |   -A+B   |
--        |     -    |
--        |       -  |
--   vecB v----------x 

