require "common"

comment = 'channel2D'
minlevel = 1
folder = mesh -- mesh location spacified in common.lua
timing_file = 'sdr_timing.res'

--bounding_cube = { origin = {-length/2, -length/2 + dx/2, -length/2},
bounding_cube = {
  origin = {-length/2, -length/2, -length/2},
  length = length,
}

spatial_object = {

  { attribute = { kind = 'seed', },
    geometry = {
      kind = 'canoND',
      object = { origin = { 0.0, 0.0, 0.0 }, },
    },
  }, -- seed

  { attribute = { kind = 'periodic', level = level },
    geometry = {
      kind = 'periodic',
      object = {
        plane1 = {
          origin = { -length/2, -height/2-dx/2, -dx/2},
          vec = { { 0.0, height+dx, 0.0},
                  { length, 0.0, 0.0},}
        }, -- plane 1
        plane2 = {
          origin = { -length/2, -height/2-dx/2, dx+dx/2},
          vec = { { length, 0.0, 0.0},
                  { 0.0, height+dx, 0.0},}
        }, -- plane 2
      }
    }
  }, -- periodic front and back

  { attribute = { kind = 'periodic', level = level },
    geometry = {
      kind = 'periodic',
      object = {
        plane1 = {
          origin  = { inlet_x, -R-dx/2, -dx/2 },
          vec = {
            { 0.0, height+dx, 0.0},
            { 0.0, 0.0,       2*dx},
          },
        }, -- plane 1
        plane2 = {
          origin  = { outlet_x, -R-dx/2, -dx/2 },
          vec = {
            { 0.0, height+dx, 0.0},
            { 0.0, 0.0,       2*dx},
          },
        }, -- plane 2
      }
    }
  }, -- periodic left and right

  { attribute = { kind = 'boundary', label = 'top', level = level },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {               inlet_x, top_y, -dx/2 },
        vec    = { {  outlet_x - inlet_x, 0.0,     0.0 },
                   {                 0.0, 0.0,  height },
        }
      } -- object
    }
  }, -- top plane

  { attribute = { kind = 'boundary', label = 'bottom', level = level },
    geometry = {
      kind = 'canoND',
      object = {
        origin = {               inlet_x,  bottom_y,  -dx/2 },
        vec    = { {  outlet_x - inlet_x,       0.0,    0.0 },
                   {                 0.0,       0.0, height },
        }
      } -- object
    }
  },-- bottom plane

} -- spatial object
