-- This is a sample Musubi configuration file in lua format
-- 
-- WARNING!!!
-- LEAVE THIS FILE UNCHANGED IN THE REPOSITORY
-- 
-- Thank you!
--
--
debug = {debugMode = true, debugFiles = true }--, debugSource = true}
io_buffer_size = 1

originX =  -1.3
originY =  0.8
originZ =  0.1
halfwidth = 0.50
amplitude = 0.01
background = 1.0
tmax           =  10    -- total iteration number
checkInter     = tmax/10

function ic_1Dgauss_pulse(x, y, z, t)
  return background+amplitude*math.exp(-0.5/(halfwidth^2)*( x - originX )^2)
end
function ic_2Dgauss_pulse(x, y, z, t)
  return background +amplitude*math.exp(-0.5/(halfwidth^2)*(( x - originX )^2+( y - originY )^2))
end

function testInjection(x, y, z, t)
  if 0. < t and  t < tmax/2. then
    return t
  else
    return 0.
  end 
end

function testInjection2(x, y, z, t)
  if tmax/2.-1. < t and  t < tmax then
    return t+10.
  else
    return 0.
  end 
end

-- Simulation name
simulation_name = 'Gausspulse'
--mesh = 'testsuite/physics/lidcavity/mesh/'
mesh = { predefined='cube', 
         origin = {0.,0.,0.}, 
         length = 10., 
         refinementLevel = 5 }

-- Interpolation method
-- average, copyfirst, linear, debug
interpolation_method = 'average'                   

-- Time step settings
time = {useIterations = true,
        min = 1, max = tmax, interval = checkInter }


scheme = {{
  identify = { label = 'fluid', kind = 'lbm', relaxation = 'bgk', layout = 'd3q19' },
  tracking = { label = 'fluid', 
               variable = {'pressure','velocity'}, --{'wss'}},
--               variable = { 'equilibrium'},
--               variable = {'velocity'},
--               variable = {'shearstress'},
               folder = 'tracking/',
               shape = {kind = 'all'},
--               shape = {kind = 'canoND', object = {origin = {2.0,2.0,2.0}, vec = {10.0,0.,0.}, segments = {2} }},
--               format = 'ascii',
               format = 'harvester',
               time = {min = 0, max = tmax, interval = checkInter}},
  field = { 
             fluid = { omega = 1.8, rho0 = 1.0 },
             initial_condition = { pressure = ic_1Dgauss_pulse,
                                   velocityX = 0.0,
                                   velocityY = 0.0,
                                   velocityZ = 0.0 }
            }
  },
  -- second scheme
  {
  identify = { label = 'species', kind = 'passive_scalar', 
               relaxation = 'bgk', layout = 'flekkoy' },

  depend = { variable={'velocity'}, usescheme='fluid'},

  tracking = { label = 'spc1', 
               variable = {'spc1_pressure'},
--               variable = { 'equilibrium'},
--               variable = {'velocity'},
--               variable = {'shearstress'},
               folder = 'tracking/',
               shape = {kind = 'canoND', object = {origin = {2.0,2.0,2.0}, vec = {10.0,0.,0.}, segments = {2} }},
--               shape = {kind = 'all'},
--               format = 'harvester',
               format = 'ascii',
               time = {min = 0, max = tmax, interval = checkInter}},


--  source = {
--            { 
--              name = 'equalInjection', ncomponents = 6, equalInjection = {  shape = {kind = 'canoND', object= {origin = {2.0,1.0,1.0}} }, 
--                                 kind = 'lua_fun', fun = testInjection2  -- here scalar function
--                              }
--            },
--            { 
--            'injection', 6, {  shape = {kind = 'canoND', object= {origin = {0.0,1.0,1.0}} }, 
--                               kind = 'lua_fun', fun = testInjection2  -- here scalar function
--                            }
--            }
--          },
              
  field = {
    -- field 1 = species 1
    { label = 'spc1',
--      fluid = { omega = 1.8, rho0 = 1.0 },
      species = { 
                  diff_coeff = {2.0}
      },
      --boundary_condition = {{}}
--  source = {
--            { 
--              'injection', 6, {
--                                {  shape = {kind = 'canoND', object= {origin = {6.0,1.0,1.0}} }, 
--                                   kind = 'lua_fun', fun = testInjection  -- here scalar function
--                                },
--                                {  shape = {kind = 'canoND', object= {origin = {6.0,1.0,1.0}} }, 
--                                   kind = 'lua_fun', fun = testInjection2  -- here scalar function
--                                }
--                              }
--            },
--            { 'injection', 6, {{  shape = {kind = 'canoND', object= {origin = {5.0,1.0,1.0}} }, 
--                                 kind = 'lua_fun', fun = testInjection  -- here scalar function
--                              }}
--            }
--          },
    }
    ,
    {
    label = 'spc2',
--    fluid = { omega = 1.8, rho0 = 1.0 },
    species = { 
         diff_coeff = 1.0
        },
--      source = {
--                   { 'injection', 6, {  shape = {kind = 'canoND', object={origin={5.0,1.0,1.0}} }, 
--                                  kind = 'lua_fun', fun = testInjection  -- here scalar function
--                                                             }
--                   },
--                 
--                 
--                 { 'xyz', 6, { shape = {kind = 'canoND', object = {origin = { 5.0, 0.0 ,0.0 }, vec = { 1.0, 0.0, 0.0}, segments = {300} }},
--                               kind = 'lua_fun', fun =testInjection -- currentDensitySpaceTime  -- here scalar function
--                             }
--                 },
--               
--               
--                 { 'injection', 6, { shape = {kind = 'canoND', object = {origin = {5.0,5.0,5.0} , vec = { {10.0,0.0,0.}, {.0,.0,10.} }, segments = {100, 100 }} },
--                                     kind = 'lua_fun', fun = testInjection -- currentDensitySpaceTime  -- here scalar function
--                                   }
--                 },
--                 
--               
--                 { 'injection', 6, { shape = {{kind = 'all'},{kind = 'canoND', object= {origin = {6.0,1.0,1.0}}}},-- object = {origin = { 5.0, 0.0 ,0.0 }, vec = { 5.0, 0.0, 0.0}, segments = {300} }},
--                                kind = 'lua_fun', fun =testInjection-- currentDensitySpaceTime  -- here scalar function
--                              }
--                 }
--                 
--               }
    --boundary_condition = {{}}

    -- close the current field
    }
  -- close the field table
  }
 -- close the current scheme
 }
 -- close the scheme table
}



-- Restart settings
restart = { ead = 'restart/Gausspulse_lastHeader.lua',
            write = 'restart/',
            time = { min = -1, max = 1, interval = 1}}
