-- load lua variables from simParam.lua
require "simParam"

outputname = 'channel2D'
outputpreview = false 

-- stl_files: for each stl file put a table into
-- this table of tables. Or just a string for
-- the filname, if the other two parameters should
-- get the default: boundary_type = 1, fileformat = 'binary'
-- refinementlevel is the level to which the stl shall be refined
-- it is mandatory
channel_length = length
channel_height = l_ref

minlevel = 8
-- Do not change these values. 
-- They are taken as a base to calculate the position of the periodic plane
--dx = length/2.^maxlevel
-- dxdash = 0.0001*dx

-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
bounding_cube = {origin = {-length*0.5,-length*0.5,-length*0.5},
                 length = length}

-- seed: position of seed 
spatial_object = {
  { 
  attribute ={
    kind = 'seed',  -- kind is seed
  },
  geometry = {
    kind = 'canoND', ---canoND is nothing but line/point/plane/box
    object = {
      origin = {bounding_cube.origin[1]+length*0.5,
                bounding_cube.origin[2]+length*0.5,
                bounding_cube.origin[3]+length*0.5}
      }
    }
 },
{
  attribute = {
    kind = 'periodic',
  },
  geometry = {
    kind = 'periodic',
    object = {
      plane1 = {
        origin ={-channel_length*0.5,-channel_height*0.5,dx+dx},
        vec =  {{channel_length,0.0,0.0},
                {0.0,channel_height,0.0}}
      }, ---plane1
      plane2 = {
        origin ={-channel_length*0.5,-channel_height*0.5,-dx/2},
        vec =  {{0.0,channel_height,0.0},
                {channel_length,0.0,0.0}}
        } ---plane2
    }
  }
},
 {
   attribute = {
   kind = 'boundary',
   label = 'east'
    },
   geometry = {
     kind = 'canoND',
      object = {
        origin ={channel_length*0.5-dx,-channel_height*0.5,-channel_height*0.5},
        vec = {{0.0,channel_height,0.0},
               {0.0,0.0,channel_height}}
        }
    }
  },
 {
     attribute = {
     kind = 'boundary',
     label = 'west'
     },
     geometry = {
     kind = 'canoND',
        object = {
        origin ={-channel_length*0.5+dx,-channel_height*0.5,-channel_height*0.5}, 
        vec = {{0.0,channel_height,0.0},
               {0.0,0.0,channel_height}}
        }
     }
  },
 {
        attribute = {
        kind = 'boundary',
        label = 'north'
         },
       geometry = {
        kind = 'canoND',
        object = {
        origin = {-channel_length*0.5,channel_height*0.5-dx,-channel_height*0.5},
         vec = {{channel_length,0.0,0.0},
                {0.0,0.0,channel_height}}
         }
      }
   },
{
     attribute = {
     kind = 'boundary',
     label = 'south'
     },
     geometry = {
     kind = 'canoND',
        object = {
        origin ={-channel_length*0.5,-channel_height*0.5+dx,-channel_height*0.5},
        vec = {{channel_length,0.0,0.0},
               {0.0,0.0,channel_height}}
        }
     }
  }
}































