-- This is a sample Musubi configuration file in lua format
-- 
-- WARNING!!!
-- LEAVE THIS FILE UNCHANGED IN THE REPOSITORY
-- 
-- Thank you!
--
--

-- load lua variables from simParam.lua
require "simParam"

-- simulation paramters
io_buffer_size = 1
printRuntimeInfo = false
-- communication pattern
--isend_irecv_overlap gathered_type isend_irecv typed_isend_irecv
commpattern = 'isend_irecv'
-- Simulation name
simulation_name = 'multispecies'
mesh = { predefined='cube', 
         origin = {0.,0.,0.}, 
         length = length, 
         refinementLevel = level }

-- Interpolation method
-- average, copyfirst, linear, debug
interpolation_method = 'average'                   
debug = {debugMode = true, debugFiles = true}

-- Time step settings
tmax           =  8    -- total iteration number
time = {useIterations = true,
        min = 1, max = tmax, interval = tmax+1 }

-- scheme model for single fluid simulation
scheme = {
  identify = {
      label = 'mix',
      kind = 'multi-species_gas', 
--      relaxation = 'bgk', 
-- scheme layout
      layout = 'd3q19'
}
      ,
  -- field which defines fluid or specie
  -- Single fluid simulation
  field = {{
      label = 'H2'
-- species properties
     ,species = { molweight = m1, diff_coeff = diff_coeff1 }
-- Initial condition
     ,initial_condition = { 
              density = species1Per,
--              density = species1Noflux,
--              density = 1.0,
              velocityX = 0.0,
              velocityY = 0.0,
              velocityZ = 0.0}
-- boundary condition for each field              
    ,oundary_condition = bc
     }
   ,{
     label = 'N2'
    ,species = { molweight = m2, diff_coeff = diff_coeff2 }
    ,initial_condition = {
         density = species2Per,
--         density = species2Noflux,
--         density = 1.0,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
    ,oundary_condition = bc
    }
   ,{
     label = 'CO2'
    ,species = { molweight = m3, diff_coeff = diff_coeff3 }
    ,initial_condition = {
         density = species3Per,
--         density = species3Noflux,
--         density = 1.0,
         velocityX = 0.0,
         velocityY = 0.0,
         velocityZ = 0.0}
    ,oundary_condition = bc
    }
  }
, 
racking = {
  {
   label = 'line', 
   variable = {'H2_molfrac','N2_molfrac','CO2_molfrac','molfrac'},
   folder = 'tracking/',
   shape = {kind = 'canoND', object= {origin={0.0,length/2.0,length/2.0},
                                      vec={length,0.0,0.0},
                                      segments = 1000 }
           },
   format = 'asciiSpatial',
   time = {min = 0, max = tmax, interval = tmax/10}, 
  }
  }
}
-- Restart settings
restart = { read = 'restart/multispecies_header_00000000.000E+00.lua',
            write = 'restart_read/',
            time = { min = -1, max = tmax, interval = 1}}
