#from simParam import *
import math
#from units import *

def getdxFromnL(length,nLength):
  return float(length)/nLength

def getdxFromLevel(length,level):
  return float(length)/math.pow(2,level)

def getdt_acoustic(dx,u_l,u_p):
  return dx*u_l/u_p
  
def getdt_diffusive(dx,omega,nu_p):
  return ((1.0/omega - 0.5)/3.0)*math.pow(dx,2)/nu_p

def getpress_p(dx,dt,rho0):
  return rho0*math.pow(dx/dt,2.0)/3.0
  
def getdt_diffCoeff(D,D_p,dx):
  return D / D_p * math.pow(dx,2)

plot  = []

## Examples:
##http://matplotlib.github.com/api/pyplot_api.html#matplotlib.pyplot.plot
## HINT: startplot == False, can be used to generate multiple plots

#height =  0.41
#u_in_L = 0.05
#u_in_phy = 0.3
#nHeight = 50
#dx = getdxFromnL(height,nHeight)
#dt = getdt_acoustic(dx,u_in_L,u_in_phy)
#pr_lp = getpress_p(dx,dt,1.0)

D_1 = 0.0007
D_2 = 0.00005
L_p = 1.0
D_p = 1.76 * math.pow(10,-5)
ref_level1 = 5
ref_level2 = 6
ref_level3 = 7

dx1_1 = getdxFromLevel(L_p,ref_level1)
dt1_1 = getdt_diffCoeff(D_1,D_p,dx1_1)

dx2_1 = getdxFromLevel(L_p,ref_level2)
dt2_1 = getdt_diffCoeff(D_1,D_p,dx2_1)

dx3_1 = getdxFromLevel(L_p,ref_level3)
dt3_1 = getdt_diffCoeff(D_1,D_p,dx3_1)

show_plot = True


## xy plot 
# plot for D=0.0007, n=5
plot.append(dict(kind = 'xy',data=['../tracking_long/tracking_n5/0.0007/species_spc1_p*_t00000001.285E+06.res'],
           row=[1,-1],col=[1,4], startplot = True,
           convertPhy = True, xfac = 1.0, yfac = 1.0, endplot = False, label = 'dens', ls = 'b'))

plot.append(dict(kind = 'xy',data=['../tracking_long/tracking_n5/0.0007/species_spc1_p*_t00000001.285E+06.res'],
           row=[1,-1],col=[1,5], startplot = False,
           convertPhy = True, xfac = 1.0, yfac = 1.0, endplot = True, label = 'anaSol', ls = 'r', format = 'pdf', figname = 'densVSanaSolD0.0007n5_long', xlabel = 'x in m', ylabel = 'dens in LU', dpi=100, title = 'dens D0.0007 n5', titlesize = 12))

# plot for D=0.0007, n=6
#plot.append(dict(kind = 'xy',data=['../tracking_n6/0.0007/species_spc1_p*_'],
#           row=[1,-1],col=[1,4], startplot = True,
#           convertPhy = True, xfac = 1.0, yfac = 1.0, endplot = False, label = 'dens', ls = 'b'))
#
#plot.append(dict(kind = 'xy',data=['../tracking_n6/0.0007/species_spc1_p*_'],
#           row=[1,-1],col=[1,5], startplot = False,
#           convertPhy = True, xfac = 1.0, yfac = 1.0, endplot = True, label = 'anaSol', ls = 'r', format = 'pdf', figname = 'densVSanaSolD0.0007n6_long', xlabel = 'x in m', ylabel = 'dens in LU', dpi=100, title = 'dens D0.0007 n6', titlesize = 12))
#
## plot for D=0.0007, n=7
#plot.append(dict(kind = 'xy',data=['../tracking_n7/0.0007/species_spc1_p*_'],
#           row=[1,-1],col=[1,4], startplot = True,
#           convertPhy = True, xfac = 1.0, yfac = 1.0, endplot = False, label = 'dens', ls = 'b'))
#
#plot.append(dict(kind = 'xy',data=['../tracking_n7/0.0007/species_spc1_p*_'],
#           row=[1,-1],col=[1,5], startplot = False,
#           convertPhy = True, xfac = 1.0, yfac = 1.0, endplot = True, label = 'anaSol', ls = 'r', format = 'pdf', figname = 'densVSanaSol0.0007n7_long', xlabel = 'x in m', ylabel = 'dens in LU', dpi=100, title = 'dens D0.0007 n7', titlesize = 12))
