#!/bin/bash
#SBATCH --time=24:00:00
#SBATCH --mail-type=END
#SBATCH --mail-user=s.zimny@grs-sim.de
#SBATCH -N 4
#SBATCH -p quelea

module load PrgEnv/gcc-ompi/4.7.0-1.5.4
date
hostname

# Evaluate the passive scalar convection diffusion testcase

# set up the path of executable
testcasename='diff_vali'

echo ---------------------------------------
echo Evaluating $testcasename test case.
echo ---------------------------------------
echo

basename='tracking_long'

echo Removing old tracking directories
#rm -r tracking_n*
#rm -r tracking_long

rm -fr $basename

mkdir $basename
export BASENAME=$basename


# mesh refinement level range
levelrange='5 6 7' # 5 6 7'
# diffusion coefficient range
diffrange='0.0007'  # 0.00005'

for level in $levelrange;do
  export LEVEL=$level
#  mkdir tracking_n$level
  mkdir $basename/tracking_n$level
  for diffCoeff in $diffrange;do
    export DIFFCOEFF=$diffCoeff
#    mkdir tracking_n$level/$diffCoeff
    mkdir $basename/tracking_n$level/$diffCoeff
    mpirun -np 32 ~/apes/musubi/build/musubi
#    ~/apes/musubi/build/musubi
  done
done

echo -----Testcase $testcasename refine LEVEL: $levelrange , diffusion coefficient $diffrange finished!------
date
