outputname = 'tracking'
outputpreview = true 
folder = 'mesh/'

-- stl_files: for each stl file put a table into
-- this table of tables. Or just a string for
-- the filname, if the other two parameters should
-- get the default: boundary_type = 1, fileformat = 'binary'
-- refinementlevel is the level to which the stl shall be refined
-- it is mandatory
tl_files = {{filename = 'box.stl', 
              bclabel = 'wall', 
              format = 'binary'}
              }


-- boundingbox: two entries: origin and length in this
-- order, if no keys are used
-- general refinement levels
-- minrefine: defines minimum refinement level of the entire domain
--
-- maxrefine: defines maximum refinement
-- gets overwritten from madatory STL levels
-- (deprecated - used only for spacer stuff right now)
-- will become default for stl refinement level once
-- it is not mandatory any more
minlevel = 4

bounding_cube = {origin = {-5.0,-5.0,-5.0},
               length = 10.}

spatial_object = {
  { 
  attribute ={
    kind = 'seed',  -- kind is seed
  },
  geometry = {
    kind = 'canoND', ---canoND is nothing but line/point/plane/box
    object = {
      origin ={0.0,0.0,0.0},
      }
    }
  },
{
  attribute = {
    kind = 'periodic',
  },
  geometry = {
    kind = 'periodic',
    object = {  
      plane1 = {
        origin = {-5.0,-5.0,-0.2}, 
         vec = {{0.0,10.0,0.0},
               {10.0,0.0,0.0}}
      }, ---plane1
      plane2 = {
        origin = {-5.0,-5.0,2.8},
        vec =   {{10.0,0.0,0.0},
                 {0.0,10.0,0.0}}
        } ---plane2
    }
  }
}
}




