title: Variable System

# Evaluate space time functions `st_fun`

In [[tem_spacetime_fun_module]] the use of space time functions is defined.
This page shall give an introduction on how to use them for simulations.

It allows the definition of arbitrary space-time
dependent functions, and the multiplication of
a spatial function with a transient function as
an often required special case.

They might return scalars or one-dimensional arrays.
If only a single value is expected from a Lua function, the Lua function
is supposed to return a scalar value. Irregardless if the function is
invoked by an array valued routine or a plain scalar one.
Otherwise, the Lua function has to return a table with the correct number
of entries identified by position.

Note, that this makes the interface in the Lua script the same:
- whenever a single return value is expected, a plain scalar should be
  returned.
- otherwise a table should be returned

In a lua input file for the simulation we need to make use of a variable table.

A space time function can be loaded as single, [[tem_load_spacetime_single]] or
as a table, [[tem_load_spacetime_table]].

Here we are able to define any space time function that we like to use.
There are a few possibilities on how to define a space time function.
So we might define it by

* combination of temporal and spatial function. Each can be a
  * [predefined Fortran function](mus_predefined.md)
  * [constant](const.html)
  * [Lua function](fun.html)
* [constant](const.html)
* [Lua function](fun.html)
* [operation](operation.html)

See each link for a description on how to use them.

@note A space time function can be defined for certain shapes of the simulated
domain. Default is global shape. See [Canonical Shapes](canonicalShapes.html) for more information.
