module tem_operation_module

  use iso_c_binding,                only: c_ptr
  use env_module,                   only: globalMaxLevels
  use tem_grow_array_module,        only: append, init, &
    &                                     truncate, grw_intArray_type

  implicit none

  private

  public :: tem_indexLvl_type
  public :: tem_varSys_op_data_type

  !> Type to store the index of points of the inputs
  !! levelwise, since points are levelwise
  type tem_indexLvl_type
    type( grw_intArray_type) :: indexLvl(globalMaxLevels)
  end type tem_indexLvl_type

  !> Type which is the method_data for derived variables, hence it
  !! consists of the point index for each input variable
  !! size: number of inputs variable
  type tem_varSys_op_data_type
    type(tem_indexLvl_type), allocatable :: input_pntIndex(:)

    !> A pointer to possibly additional solver data.
    !!
    !! This is for example used to keep a link to the projection data
    !! in Ateles to enable the construction of element data from the
    !! point data for the operation variables.
    type(c_ptr) :: solver_bundle

  end type tem_varSys_op_data_type

end module tem_operation_module
